> For the complete documentation index, see [llms.txt](https://docs.wem.io/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wem.io/platform/wemreference/functions/date/datediff.md).

# DateDiff

{% hint style="info" %}
The **`DateDiff()`** function calculates the difference between two dates. You can use the DateDiff for the difference in: year, month, week, day, hour, minute or second.&#x20;

This function is NOT SQL compatible. For more information about SQL compatibility, see our [documentation](/platform/wemreference/sql-compatibility.md).
{% endhint %}

{% hint style="success" %}
Returns a <mark style="color:green;">number</mark> that is the difference between two dates in a specific unit. If one of the two dates is unknown then this function returns unknown.

Returns <mark style="color:red;">**`Unknown`**</mark> if one of the parameter values is unknown or outside the common valid date boundaries.
{% endhint %}

### Syntax

<details>

<summary><code>DateDiff(</code><mark style="color:blue;"><code>start_date</code></mark><code>, </code><mark style="color:blue;"><code>end_date</code></mark><code>, </code><mark style="color:blue;"><code>unit</code></mark><code>)</code></summary>

`DateDiff('2014-08-21', '2002-12-31', Year)`\
\=>*Result: 11*

`DateDiff()`\
\=>*Result: unknown*

</details>

### Parameters

<table><thead><tr><th width="150">Name</th><th width="150">Type</th><th width="150" align="center">Required</th><th width="248.15953250810662">Description</th><th data-hidden>Required?</th></tr></thead><tbody><tr><td><mark style="color:blue;"><code>start_date</code></mark></td><td>date time</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2611">☑️</span></td><td>the start date</td><td>yes</td></tr><tr><td><mark style="color:blue;"><code>end_date</code></mark></td><td>date time</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2611">☑️</span></td><td>the end date</td><td>yes</td></tr><tr><td><mark style="color:blue;"><code>unit</code></mark></td><td>Keyword</td><td align="center"><span data-gb-custom-inline data-tag="emoji" data-code="2611">☑️</span></td><td>the date unit of which the difference is calculated.<br>Possible values: years, months, weeks, day, hour, minute or second.</td><td>yes</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.wem.io/platform/wemreference/functions/date/datediff.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
